## MMSignalThresholdProperties

MMSignalThresholdProperties — Helper object to handle signal threshold properties.

## Functions

MMSignalThresholdProperties * | mm_signal_threshold_properties_new ()
guint | mm_signal_threshold_properties_get_rssi ()
void | mm_signal_threshold_properties_set_rssi ()
gboolean | mm_signal_threshold_properties_get_error_rate ()
void | mm_signal_threshold_properties_set_error_rate ()

## Types and Values

struct | MMSignalThresholdProperties

## Object Hierarchy

        GObject
        ╰── MMSignalThresholdProperties

## Description

The MMSignalThresholdProperties is an object handling the properties requested when setting up threshold based signal quality information reporting.

This object is created by the user and passed to ModemManager with either `mm_modem_signal_setup_thresholds()` or `mm_modem_signal_setup_thresholds_sync()`.

## Functions

### mm_signal_threshold_properties_new ()

    MMSignalThresholdProperties *
    mm_signal_threshold_properties_new (void);

Creates a new empty MMSignalThresholdProperties.

#### Returns

a MMSignalThresholdProperties. The returned value should be freed with `g_object_unref()`.

[transfer full]

Since: 1.20

### mm_signal_threshold_properties_get_rssi ()

    guint
    mm_signal_threshold_properties_get_rssi
                                   (MMSignalThresholdProperties *self);

Gets the RSSI threshold, in dBm.

#### Parameters

self | a MMSignalThresholdProperties. |

#### Returns

the RSSI threshold, or 0 if disabled.

Since: 1.20

### mm_signal_threshold_properties_set_rssi ()

    void
    mm_signal_threshold_properties_set_rssi
                                   (MMSignalThresholdProperties *self,
                                    guint rssi_threshold);

Sets the RSSI threshold, in dBm.

#### Parameters

self | a MMSignalThresholdProperties. |
rssi_threshold | the RSSI threshold, or 0 to disable. |

Since: 1.20

### mm_signal_threshold_properties_get_error_rate ()

    gboolean
    mm_signal_threshold_properties_get_error_rate
                                   (MMSignalThresholdProperties *self);

Gets whether the error rate threshold is enabled or disabled.

#### Parameters

self | a MMSignalThresholdProperties. |

#### Returns

`TRUE` if the error rate threshold is enabled, `FALSE` otherwise.

Since: 1.20

### mm_signal_threshold_properties_set_error_rate ()

    void
    mm_signal_threshold_properties_set_error_rate
                                   (MMSignalThresholdProperties *self,
                                    gboolean error_rate_threshold);

Enables or disables the error rate threshold.

#### Parameters

self | a MMSignalThresholdProperties. |
error_rate_threshold | `TRUE` to enable, `FALSE` to disable. |

Since: 1.20

## Types and Values

### struct MMSignalThresholdProperties

    struct MMSignalThresholdProperties;

The MMSignalThresholdProperties structure contains private data and should only be accessed using the provided API.